Search

See Resources

@RISK Newsletter for September 22, 2016 The Consensus Security Vulnerability Alert

This is a weekly newsletter that provides in-depth analysis of the latest vulnerabilities with straightforward remediation advice. Qualys supplies a large part of the newly-discovered vulnerability content used in this newsletter.


@RISK: The Consensus Security Vulnerability Alert
Vol. 16, Num. 38

Providing a reliable, weekly summary of newly discovered attack vectors, vulnerabilities with active exploits, and explanations of how recent attacks worked.

Archived issues may be found at https://www.qualys.com/research/sans-at-risk/


CONTENTS: NOTABLE RECENT SECURITY ISSUES

INTERESTING NEWS FROM AROUND THE SECURITY COMMUNITY
VULNERABILITIES FOR WHICH EXPLOITS ARE AVAILABLE
MOST PREVALENT MALWARE FILES 2016-09-13 - 2016-09-20


TOP VULNERABILITY THIS WEEK: Rapid7 Address Several Security Vulnerabilities in Metasploit, Including a Remote Code Execution Flaw


NOTABLE RECENT SECURITY ISSUES

SELECTED BY THE TALOS SECURITY INTELLIGENCE AND RESEARCH GROUP

Title: Rapid7 Address Several Security Vulnerabilities in Metasploit, Including a Remote Code Execution Flaw
Description: Rapid7 has released a security advisory in response to several security vulnerabilities in Metasploit that were responsibly disclosed. The most severe flaw that was addressed was a vulnerability in Metasploit’s config.action_dispatch.cookies_serializer, which is set to ‘:hybrid’ by default and vulnerable to “remote object instantiation / remote code injection for a user who has the ability to generate a signed session cookie.” An updated version of Metasploit containing fixes for these flaws has been released.
Reference: https://community.rapid7.com/community/metasploit/blog/2016/09/15/important-security-fixes-in-metasploit-4120-2016091401
https://github.com/justinsteven/advisories/blob/master/2016_metasploit_rce_static_key_deserialization.md
Snort SID: Detection pending

Title: Cisco Release Security Advisory for IKEv1 Flaw Disclosed in Shadowbroker’s Leak
Description: Cisco has released a security advisory for CVE-2016-6415, an information disclosure vulnerability in Cisco IOS. This vulnerability was disclosed to the public in an information leak posted by the Shadowbrokers in August 2016. The vulnerability manifests in the IKEv1 packet processing code in Cisco IOS, IOS XE, and IOS XR software and could allow a remote attacker to “retrieve memory contents, which could lead to the disclosure of confidential information.” Cisco is currently in the process of developing and releasing a software update to address the issue.
Reference: https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-20160916-ikev1
Snort SID: 40220-40222

Title: Apple Releases macOS Sierra 10.12, Safari 10, macOS Server 5.2, and iCloud for Windows
Description: Apple has released the newest version of its operating system for Mac, macOS, bringing the latest version to 10.12. The latest version of the desktop/laptop operating system fixes 68 security vulnerabilities, the most severe of which could allow an attacker to execute code with kernel level privileges. Apple has also released new versions of Safari, macOS Server, and iCloud for Windows which also address various security issues in each of the products.
Reference: https://support.apple.com/en-us/HT201222
Snort SID: Detection pending release of vulnerability information

Title: Researchers Disclose Remotely Exploitable Flaws Patched By Tesla in Model S Cars
Description: Researchers at Keen Security Lab have disclosed several critical security vulnerabilities in Tesla Model S cars that were patched. The vulnerabilities in question could have been used to remotely control the vehicles to perform actions such as turn on or off the blinkers, adjust the side mirrors, and force the car to brake without physical intervention by the driver. Telsa and Keen Security Lab are currently withholding details of the vulnerabilities, but do note that “it required very specific prerequisites.” These vulnerabilities were responsibly disclosed and Tesla has released a software update to addressed the vulnerabilities. Tesla Model S vehicle owners are advised to update their car’s firmware as soon as possible.
Reference: http://keenlab.tencent.com/en/2016/09/19/Keen-Security-Lab-of-Tencent-Car-Hacking-Research-Remote-Attack-to-Tesla-Cars/
https://threatpost.com/tesla-fixes-critical-remote-hack-vulnerability/120719/


INTERESTING NEWS FROM AROUND THE SECURITY COMMUNITY

Microsoft Patches CVE-2016-3351 Zero-Day, Exploited By AdGholas and GooNky Malvertising Groups
https://www.proofpoint.com/us/threat-insight/post/Microsoft-Patches-Zero-Day-Exploited-By-AdGholas-GooNky-Malvertising

Mamba: The new Full Disk Encryption Ransomware Family Member
https://www.linkedin.com/pulse/mamba-new-full-disk-encryption-ransomware-family-member-marinho

zScaler Warns of New Version of iSpy Keylogger
https://www.zscaler.com/blogs/research/ispy-keylogger

Alibaba fires employees for hacking their way to free mooncakes
http://arstechnica.com/security/2016/09/alibaba-fires-employees-for-hacking-their-way-to-free-mooncakes/

Bypass-UAC - a framework to perform UAC bypasses based on auto elevating IFileOperation COM object method calls
https://github.com/FuzzySecurity/PowerShell-Suite/tree/master/Bypass-UAC


RECENT VULNERABILITIES FOR WHICH EXPLOITS ARE AVAILABLE COMPILED BY THE QUALYS VULNERABILITY RESEARCH TEAM

This is a list of recent vulnerabilities for which exploits are available. System administrators can use this list to help in prioritization of their remediation activities. The Qualys Vulnerability Research Team compiles this information based on various exploit frameworks, exploit databases, exploit kits and monitoring of internet activity.

ID: CVE-2016-6366
Title: Cisco Adaptive Security Appliance SNMP Buffer Overflow Code Execution Vulnerability
Vendor: Cisco
Description: Buffer overflow in Cisco Adaptive Security Appliance (ASA) Software through 9.4.2.3 on ASA 5500, ASA 5500-X, ASA Services Module, ASA 1000V, ASAv, Firepower 9300 ASA Security Module, PIX, and FWSM devices allows remote authenticated users to execute arbitrary code via crafted IPv4 SNMP packets, aka Bug ID CSCva92151 or EXTRABACON.
CVSS v2 Base Score: 8.5 (AV:N/AC:M/Au:S/C:C/I:C/A:C)

ID: CVE-2016-1017
Title: Adobe Flash Player “AS2 LoadVars” Use-after-free Code Execution Vulnerability (APSA16-10)
Vendor: Adobe
Description: Use-after-free vulnerability in the LoadVars.decode function in Adobe Flash Player before 18.0.0.343 and 19.x through 21.x before 21.0.0.213 on Windows and OS X and before 11.2.202.616 on Linux allows attackers to execute arbitrary code via unspecified vectors, a different vulnerability than CVE-2016-1011, CVE-2016-1013, CVE-2016-1016, and CVE-2016-1031.
CVSS v2 Base Score: 9.3 (AV:N/AC:M/Au:N/C:C/I:C/A:C)

ID: CVE-2016-4171
Title: Adobe Flash Code Execution Vulnerability (APSA16-03)
Vendor: Adobe
Description: Unspecified vulnerability in Adobe Flash Player 21.0.0.242 and earlier allows remote attackers to execute arbitrary code via unknown vectors, as exploited in the wild in June 2016.
CVSS v2 Base Score: 10.0 (AV:N/AC:L/Au:N/C:C/I:C/A:C)

ID: CVE-2016-0185
Title: Microsoft Windows Media Center Input Validation Remote Code Execution Vulneraiblity (MS16-059)
Vendor: Microsoft
Description: Media Center in Microsoft Windows Vista SP2, Windows 7 SP1, and Windows 8.1 allows remote attackers to execute arbitrary code via a crafted Media Center link (aka .mcl) file, aka “Windows Media Center Remote Code Execution Vulnerability.”
CVSS v2 Base Score: 9.3 (AV:N/AC:M/Au:N/C:C/I:C/A:C)

ID: CVE-2016-4117
Title: Adobe Flash Player Integer Overflow Code Execution Vulnerability (APSA16-02)
Vendor: Adobe
Description: Adobe Flash Player 21.0.0.226 and earlier allows remote attackers to execute arbitrary code via unspecified vectors, as exploited in the wild in May 2016.
CVSS v2 Base Score: 10.0 (AV:N/AC:L/Au:N/C:C/I:C/A:C)

ID: CVE-2016-0189
Title: Microsoft Internet Explorer Scripting Engine Memory Corruption Vulnerability
Vendor: Microsoft
Description: The Microsoft (1) JScript 5.8 and (2) VBScript 5.7 and 5.8 engines, as used in Internet Explorer 9 through 11 and other products, allow remote attackers to execute arbitrary code or cause a denial of service (memory corruption) via a crafted web site, aka “Scripting Engine Memory Corruption Vulnerability,” a different vulnerability than CVE-2016-0187.
CVSS v2 Base Score: 7.6 (AV:N/AC:H/Au:N/C:C/I:C/A:C)

ID: CVE-2016-1287
Title: Cisco ASA Software IKEv1 and IKEv2 Buffer Overflow Vulnerability
Vendor: Cisco
Description: Buffer overflow in the IKEv1 and IKEv2 implementations in Cisco ASA Software before 8.4(7.30), 8.7 before 8.7(1.18), 9.0 before 9.0(4.38), 9.1 before 9.1(7), 9.2 before 9.2(4.5), 9.3 before 9.3(3.7), 9.4 before 9.4(2.4), and 9.5 before 9.5(2.2) on ASA 5500 devices, ASA 5500-X devices, ASA Services Module for Cisco Catalyst 6500 and Cisco 7600 devices, ASA 1000V devices, Adaptive Security Virtual Appliance (aka ASAv), Firepower 9300 ASA Security Module, and ISA 3000 devices allows remote attackers to execute arbitrary code or cause a denial of service (device reload) via crafted UDP packets, aka Bug IDs CSCux29978 and CSCux42019.
CVSS v2 Base Score: 10.0 (AV:N/AC:L/Au:N/C:C/I:C/A:C)

ID: CVE-2016-3081
Title: Apache Struts Input Validation Remote Code Execution Vulnerability
Vendor: Apache Structs
Description: Apache Struts 2.x before 2.3.20.2, 2.3.24.x before 2.3.24.2, and 2.3.28.x before 2.3.28.1, when Dynamic Method Invocation is enabled, allow remote attackers to execute arbitrary code via method: prefix, related to chained expressions.
CVSS v2 Base Score: 9.3 (AV:N/AC:M/Au:N/C:C/I:C/A:C)


MOST PREVALENT MALWARE FILES 2016-09-13 - 2016-09-20:

COMPILED BY TALOS SECURITY INTELLIGENCE AND RESEARCH GROUP

SHA 256: 9BCC18F592560C45205EE56D9755B6F1E34F864BD66BD9374A95C132B8E6569F
MD5: 7e69d9da715f6786ff796c5c6999b75f
VirusTotal: https://www.virustotal.com/file/9BCC18F592560C45205EE56D9755B6F1E34F864BD66BD9374A95C132B8E6569F/analysis/#additional-info
Typical Filename: update.exe
Claimed Product: WPS Office
Detection Name: W32.9BCC18F592-100.SBX.VIOC

SHA 256: BCFFDA040C93B743BCA1A67128EC1F60595DC0B14655AFD7949B6C779E0E997F
MD5: 2dbf779808d2ec3f5121891be9f4b1cf
VirusTotal: https://www.virustotal.com/file/BCFFDA040C93B743BCA1A67128EC1F60595DC0B14655AFD7949B6C779E0E997F/analysis/#additional-info
Typical Filename: Advanced Mac Cleaner
Claimed Product: (none)
Detection Name: OSX.Variant:AMCZ.19if.1201

SHA 256: F9B8F7F285F811EE720CCE7BCCD98A421A26FB90DD7B022118D4B4E1F340036B
MD5: 0612402ad98c8c31cd6f2b914a419039
VirusTotal: https://www.virustotal.com/file/F9B8F7F285F811EE720CCE7BCCD98A421A26FB90DD7B022118D4B4E1F340036B/analysis/#additional-info
Typical Filename: winulixj.exe
Claimed Product: (none)
Detection Name: W32.Malware:Pramro.19it.1201

SHA 256: 9A67DAE45D8748EFAF0EE8AD55FC35A316FB839DE395F67FC464B220A6DD39AA
MD5: e72046d70f7fd5125c678b6585526b5e
VirusTotal: https://www.virustotal.com/file/9A67DAE45D8748EFAF0EE8AD55FC35A316FB839DE395F67FC464B220A6DD39AA/analysis/#additional-info
Typical Filename: SGDownload.exe
Claimed Product: “???????”
Detection Name: Auto.9A67DAE45D.RSU-1209.tht.Talos

SHA 256: cce7ab261de8966fd45ef865e8feb1addf6d329c7f211c902cf288372799720d
MD5: f6177ab9f01978d5eebf8cb3089c2b68
VirusTotal: https://www.virustotal.com/file/38DD6E623626109F41E4CC46F4514CEAE560BFF025B9528340FB92D233892122/analysis/#additional-info
Typical Filename: mfon.zip
Claimed Product: N/A
Detection Name: W32.Trojan.NM


Email or call us at +1 800 745 4355 or try our Global Contacts
Subscription Packages
Qualys Solutions
Qualys Community
Company
Free Trial & Tools
Popular Topics